%define version     1.01
%define tarname     jchkmail

Name:           j-chkmail
Summary:        MIME scanner
Version:        %{version}
Release:        2
Copyright:      GPL
Group:          Development/Languages
Source:         http://j-chkmail.ensmp.fr/%{tarname}-%{version}.tar.gz
Patch:          %{name}-%{version}.patch
Url:            http://j-chkmail.ensmp.fr
Packager:       Gomez Henri <hgomez@slib.fr>
BuildRoot:      /var/tmp/build-%{name}
BuildRequires:  sendmail-devel >= 8.12
Requires:       sendmail >= 8.12

%description
j-chkmail is a mail filter software using sendmail milter API (version 8.12.0 and higher)

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup -n %{tarname}-%{version}
%patch
./configure

%build
make

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
make install DESTDIR=$RPM_BUILD_ROOT sysconfdir=%{_sysconfdir}/mail

# install utils in bin
install -m 755 bin/j-stats.cron ${RPM_BUILD_ROOT}/%{_bindir}

# sysv init and logging
install -m 755 bin/j-chkmail.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/%{name}

%post
/sbin/chkconfig --add %{name}
if ! grep '/usr/bin/j-stats.cron' /etc/crontab > /dev/null; then
    echo "1,6,11,16,21,26,31,36,41,46,51,56 * * * *  /usr/bin/j-stats.cron"  >> /etc/crontab
fi

echo ""
echo "For security purposes, %{name} is no more activated by"
echo "default so don't forget to use chkconfig under root : "
echo "/sbin/chkconfig --level 2345 %{name} on"
echo ""
echo "Don't forget to edit /etc/mail/j-* files"
echo "example are in /etc/mail/j-*.conf"


%postun
if [ $1 = 0 ]; then
    grep -v '/usr/bin/j-stats.cron' /etc/crontab > /etc/crontab.new
    mv /etc/crontab.new /etc/crontab
fi

%preun
if [ $1 = 0 ]; then

    if [ -f /var/lock/subsys/%{name} ]; then
        /etc/rc.d/init.d/%{name} stop
    fi
    if [ -f /etc/rc.d/init.d/%{name} ]; then
        /sbin/chkconfig --del %{name}
    fi

fi


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%doc README* doc/*
%attr(644,root,root)    %config(noreplace)  %{_sysconfdir}/mail/*
%attr(755,root,root)    %config             %{_sysconfdir}/rc.d/init.d/%{name}
%{_sbindir}/*
%{_bindir}/*

%changelog
* Mon May 13 2002 Gomez Henri <hgomez@slib.fr>
- version 1.01 rpm release 2
- corrected initd stuff to use Rehdat functions
  and remove suexec since it didn't works 
  since account log shell is /dev/null.

* Tue Apr 30 2002 Gomez Henri <hgomez@slib.fr>
- version 1.01
- removed uneeded bin (mkok, memchkmail, jps)
- add html documentation

* Fri Apr 26 2002 Gomez Henri <hgomez@slib.fr>
- version 1.0
- Initial RPM Release


